import Script from 'next/script'
import { basePath } from '../next.config';
import type { Metadata } from 'next'
import { Inter } from 'next/font/google'
import './globals.css'

const inter = Inter({ subsets: ['latin'] })

export const metadata: Metadata = {
  title: 'Create Next App',
  description: 'Generated by create next app',
}

export default function RootLayout({
  children,
}: {
  children: React.ReactNode
}) {
  return (
    <html lang="en">
      <head>
        {/* External CSS */}
        <link
          rel="stylesheet"
          href={`${basePath}/dist/css/external.css`}
        />
        {/* External script placed just before </body> */}
        <Script
          src={`${basePath}/dist/js/external-head.js`}
        />
      </head>
      {/* <body className={inter.className}>{children}</body> */}
      <body className={inter.className}>
        {children}

        {/* External script placed just before </body> */}
        <Script
          src={`${basePath}/dist/js/external.js`}
        />
      </body>
    </html>
  )
}
